"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delegation53 = void 0;
function delegation53(eksr, props) {
    var toolsNS = props.delegationDnsNamespace || "kuber";
    var delegation53SA = eksr.eks.addServiceAccount("SA-" + eksr.props.baseName + "-" + toolsNS + "-delegation53", {
        name: toolsNS + "-delegation53",
        namespace: toolsNS,
    });
    eksr.eks.addManifest("Deployment-" + eksr.props.baseName + "-" + toolsNS + "-delegation53", {
        apiVersion: "apps/v1",
        kind: "deployment",
        metadata: {
            name: toolsNS + "-delegation53",
            namespace: delegation53SA.serviceAccountNamespace,
        },
        spec: {
            strategy: { type: "Recreate" },
            selector: {
                matchLabels: {
                    app: toolsNS + "-delegation53",
                },
            },
            template: {
                metadata: {
                    labels: {
                        app: toolsNS + "-delegation53",
                    },
                },
                spec: {
                    serviceAccount: delegation53SA.serviceAccountName,
                    containers: [
                        {
                            name: "aws-cli",
                            image: "fastandfearless/dev-base-container:latest",
                            args: ["/bin/sleep", "100000"],
                        },
                        {
                            name: "aws-delegation53",
                            image: props.delegation53Image || "fastandfearless/aws-delegation53",
                            env: [
                                {
                                    name: "ZONES",
                                    value: props.zones.map(function (i) { return i.zoneName; }).join(","),
                                },
                                {
                                    name: "TOPROLEARN",
                                    value: props.rolesARN,
                                },
                            ],
                            args: ["/bin/sleep", "100000"],
                        },
                    ],
                    securityContext: {
                        fsGroup: 65534,
                    },
                },
            },
        },
    });
    //   .node.addDependency(nsExternal);
}
exports.delegation53 = delegation53;
//# sourceMappingURL=delegation53.js.map